﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using WpfApplication1;

namespace DefiningCustomDataFields
{
    public class Employee
    {
        public string FirstName
        {
            get;
            set;
        }
        public string LastName
        {
            get;
            set;
        }
        public string Occupation
        {
            get;
            set;
        }
        public DateTime StartingDate
        {
            get;
            set;
        }
        public bool IsMarried
        {
            get;
            set;
        }

        public int Salary
        {
            get;
            set;
        }
        public Gender Gender
        {
            get;
            set;
        }

        public StationContact StationContact { get; set; }

        public Employee()
        { }

        public static ObservableCollection<Employee> GetEmployees()
        {
            ObservableCollection<Employee> employees = new ObservableCollection<Employee>();
            employees.Add(new Employee() { FirstName = "Sarah", LastName = "Blake", Occupation = "Supplied Manager", StartingDate = new DateTime(2005, 04, 12), IsMarried = true, Salary = 3500, Gender = Gender.Female });
            employees.Add(new Employee() { FirstName = "Jane", LastName = "Simpson", Occupation = "Security", StartingDate = new DateTime(2008, 12, 03), IsMarried = true, Salary = 2000, Gender = Gender.Female });
            employees.Add(new Employee() { FirstName = "John", LastName = "Peterson", Occupation = "Consultant", StartingDate = new DateTime(2005, 04, 12), IsMarried = false, Salary = 2600, Gender = Gender.Male });
            employees.Add(new Employee() { FirstName = "Peter", LastName = "Bush", Occupation = "Cashier", StartingDate = new DateTime(2005, 04, 12), IsMarried = true, Salary = 2300, Gender = Gender.Male });

            foreach (var employee in employees)
            {
                employee.StationContact = new StationContact()
                {
                    ContactName = "ContactName",
                    ContactPhone = "ContactPhone",
                };
            }
            return employees;
        }
    }

    public enum Gender
    {
        Female,
        Male
    }
}
