﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using Telerik.Windows.Controls;

namespace DefiningCustomDataFields
{
    public class ListBoxField : DataFormDataField
    {
        protected override DependencyProperty GetControlBindingProperty()
        {
            return ListBox.ItemsSourceProperty;
        }

        protected override Control GetControl()
        {
            DependencyProperty dependencyProperty = this.GetControlBindingProperty();
            var listBox = new ListBox();
            listBox.ItemTemplate = (DataTemplate)FindResource("StationContactTemplate");
            if (this.DataMemberBinding != null)
            {
                var binding = this.DataMemberBinding;
                listBox.SetBinding(dependencyProperty, binding);
            }

            listBox.SetBinding(ListBox.IsEnabledProperty, new Binding("IsReadOnly") { Source = this, Converter = new InvertedBooleanConverter() });

            return listBox;
        }
    }
}
